/*
 * CAN_VERsuch3.c
 *
 * Created: 10.01.2014 11:49:10
 *  Author: Manuel
 */ 


#include "can.h"
#include <avr/interrupt.h>
#include <avr/io.h>
// Sonstige bentigte Bibliotheken

// Hauptprogramm
int main(){
	CAN_message    msg1;

	////////////////////////////////////////////////////////
	// Hier schreibst du deinen eigenen Programmcode rein //
	////////////////////////////////////////////////////////

	// CAN initialisieren
	CAN_init(250,RX);

	// Interrupts aktivieren
	sei();

	// ID-Maske festlegen
	msg1.idm      = 0xffffffff;  // Es kommt nur genau dieselbe ID durch

	// Endlosschleife. Fragt zyklisch deinen Port ab und sendet die Schalterstellungen
	while(1){
		// Schalterstellungen im ersten Datenbit abspeichern
		msg1.data[0]  = 0b11111111;
		
		// ID festlegen (1)
		msg1.id    = 0x00000001;

		// Objekt 0 aktivieren und Daten bergeben
		CAN_enableMOB(0,RECEIVE_DATA, msg1);

		// Daten senden
		CAN_sendData(0, msg1.data);
	}

	return 1;
}